/* HELP CLASSES */
.pointer-events-none {
  pointer-events: none;
  opacity: 0.65;
  cursor: not-allowed;
}
.cscore-spin-5s {
  animation: fa-spin-cscore 5s infinite linear;
}
.cscore-spin-2s {
  animation: fa-spin-cscore 2s infinite linear;
}
.cscore-spin-1s {
  animation: fa-spin-cscore 1s infinite linear;
}
.cscore-spin-0-75s {
  animation: fa-spin-cscore 0.75s infinite linear;
}
.cscore-spin-0-5s {
  animation: fa-spin-cscore 0.5s infinite linear;
}
.cscore-spin-0-25s {
  animation: fa-spin-cscore 0.25s infinite linear;
}
@keyframes fa-spin-cscore {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
body {
  margin: 0 20px 20px 20px;
  background-color: transparent;
  color: #333333;
}
body #ui-datepicker-div {
  z-index: 1051 !important;
}
a {
  color: #337ab7;
}
a:hover {
  color: #23527c;
}
.head > .div-logo {
  float: left;
  width: 100%;
}
.div-logo img {
  max-height: 150px;
}
.head > .div-logo img,
.head > .div-logo > div {
  float: left;
}
.head > .div-logo img.img-logo-right {
  float: right;
}
@media (max-width: 1199px) {
  .head > .div-logo img.img-logo-right {
    display: none;
  }
}
@media (max-width: 767px) {
  .head > .div-logo img {
    max-width: 360px;
  }
}
.head > .div-logo > div {
  margin-left: 20px;
}
.input-group {
  margin-bottom: 10px;
}
.input-group-addon {
  min-width: 50px;
}
input[type=checkbox] {
  margin-left: 0 !important;
}
.bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
  width: 100%;
}
.btn-group .dropdown-toggle,
.bootstrap-select.dropdown .dropdown-toggle {
  margin-bottom: 5px;
}
.bootstrap-select > .dropdown-toggle.bs-placeholder,
.bootstrap-select > .dropdown-toggle.bs-placeholder:active,
.bootstrap-select > .dropdown-toggle.bs-placeholder:focus,
.bootstrap-select > .dropdown-toggle.bs-placeholder:hover {
  color: #333;
}
@media (max-width: 767px) {
  body {
    margin: 0 0 20px 0;
  }
}
@media print {
  *,
  *:before,
  *:after {
    color: inherit !important;
  }
}
/** Mixin generador de colores con todas las variables **/
/** End mixin generador de colores con todas las variables **/
/** Mixin generador de variables de colores con todas las variables **/
/** End mixin generador de variables de colores con todas las variables **/
/** Mixin generador de colores con todas las variables **/
.colors-general_color-color {
  color: #333333;
}
.colors-general_color-background-color {
  background-color: #333333;
}
.colors-general_color-border-color {
  border-color: #333333;
}
.colors-general_background-color-color {
  color: transparent;
}
.colors-general_background-color-background-color {
  background-color: transparent;
}
.colors-general_background-color-border-color {
  border-color: transparent;
}
.colors-general_links-color-color {
  color: #337ab7;
}
.colors-general_links-color-background-color {
  background-color: #337ab7;
}
.colors-general_links-color-border-color {
  border-color: #337ab7;
}
.colors-general_links-color-hover-color {
  color: #23527c;
}
.colors-general_links-color-hover-background-color {
  background-color: #23527c;
}
.colors-general_links-color-hover-border-color {
  border-color: #23527c;
}
.colors-menu_color-color {
  color: #ffffff;
}
.colors-menu_color-background-color {
  background-color: #ffffff;
}
.colors-menu_color-border-color {
  border-color: #ffffff;
}
.colors-menu_background-color-color {
  color: #222222;
}
.colors-menu_background-color-background-color {
  background-color: #222222;
}
.colors-menu_background-color-border-color {
  border-color: #222222;
}
.colors-menu_border-color-color {
  color: #0a4791;
}
.colors-menu_border-color-background-color {
  background-color: #0a4791;
}
.colors-menu_border-color-border-color {
  border-color: #0a4791;
}
.colors-menu_menu-active-color-color {
  color: #ffffff;
}
.colors-menu_menu-active-color-background-color {
  background-color: #ffffff;
}
.colors-menu_menu-active-color-border-color {
  border-color: #ffffff;
}
.colors-menu_menu-active-background-color-color {
  color: #333333;
}
.colors-menu_menu-active-background-color-background-color {
  background-color: #333333;
}
.colors-menu_menu-active-background-color-border-color {
  border-color: #333333;
}
.colors-menu_submenu-background-color-hover-color {
  color: #0b58a2;
}
.colors-menu_submenu-background-color-hover-background-color {
  background-color: #0b58a2;
}
.colors-menu_submenu-background-color-hover-border-color {
  border-color: #0b58a2;
}
.colors-menu_submenu-background-color-level-1-color {
  color: #222222;
}
.colors-menu_submenu-background-color-level-1-background-color {
  background-color: #222222;
}
.colors-menu_submenu-background-color-level-1-border-color {
  border-color: #222222;
}
.colors-menu_submenu-background-color-level-2-color {
  color: #2f2f2f;
}
.colors-menu_submenu-background-color-level-2-background-color {
  background-color: #2f2f2f;
}
.colors-menu_submenu-background-color-level-2-border-color {
  border-color: #2f2f2f;
}
.colors-menu_submenu-background-color-level-3-color {
  color: #3f3f3f;
}
.colors-menu_submenu-background-color-level-3-background-color {
  background-color: #3f3f3f;
}
.colors-menu_submenu-background-color-level-3-border-color {
  border-color: #3f3f3f;
}
.colors-messages_border-width-color {
  color: 1;
}
.colors-messages_border-width-background-color {
  background-color: 1;
}
.colors-messages_border-width-border-color {
  border-color: 1;
}
.colors-messages_success-color-color {
  color: #3c763d;
}
.colors-messages_success-color-background-color {
  background-color: #3c763d;
}
.colors-messages_success-color-border-color {
  border-color: #3c763d;
}
.colors-messages_success-background-color-color {
  color: #dff0d8;
}
.colors-messages_success-background-color-background-color {
  background-color: #dff0d8;
}
.colors-messages_success-background-color-border-color {
  border-color: #dff0d8;
}
.colors-messages_success-border-color-color {
  color: #d6e9c6;
}
.colors-messages_success-border-color-background-color {
  background-color: #d6e9c6;
}
.colors-messages_success-border-color-border-color {
  border-color: #d6e9c6;
}
.colors-messages_info-color-color {
  color: #31708f;
}
.colors-messages_info-color-background-color {
  background-color: #31708f;
}
.colors-messages_info-color-border-color {
  border-color: #31708f;
}
.colors-messages_info-background-color-color {
  color: #d9edf7;
}
.colors-messages_info-background-color-background-color {
  background-color: #d9edf7;
}
.colors-messages_info-background-color-border-color {
  border-color: #d9edf7;
}
.colors-messages_info-border-color-color {
  color: #bce8f1;
}
.colors-messages_info-border-color-background-color {
  background-color: #bce8f1;
}
.colors-messages_info-border-color-border-color {
  border-color: #bce8f1;
}
.colors-messages_warning-color-color {
  color: #8a6d3b;
}
.colors-messages_warning-color-background-color {
  background-color: #8a6d3b;
}
.colors-messages_warning-color-border-color {
  border-color: #8a6d3b;
}
.colors-messages_warning-background-color-color {
  color: #fcf8e3;
}
.colors-messages_warning-background-color-background-color {
  background-color: #fcf8e3;
}
.colors-messages_warning-background-color-border-color {
  border-color: #fcf8e3;
}
.colors-messages_warning-border-color-color {
  color: #faebcc;
}
.colors-messages_warning-border-color-background-color {
  background-color: #faebcc;
}
.colors-messages_warning-border-color-border-color {
  border-color: #faebcc;
}
.colors-messages_danger-color-color {
  color: #a94442;
}
.colors-messages_danger-color-background-color {
  background-color: #a94442;
}
.colors-messages_danger-color-border-color {
  border-color: #a94442;
}
.colors-messages_danger-background-color-color {
  color: #f2dede;
}
.colors-messages_danger-background-color-background-color {
  background-color: #f2dede;
}
.colors-messages_danger-background-color-border-color {
  border-color: #f2dede;
}
.colors-messages_danger-border-color-color {
  color: #ebccd1;
}
.colors-messages_danger-border-color-background-color {
  background-color: #ebccd1;
}
.colors-messages_danger-border-color-border-color {
  border-color: #ebccd1;
}
.colors-crud_color-color {
  color: #000000;
}
.colors-crud_color-background-color {
  background-color: #000000;
}
.colors-crud_color-border-color {
  border-color: #000000;
}
.colors-crud_background-color-color {
  color: transparent;
}
.colors-crud_background-color-background-color {
  background-color: transparent;
}
.colors-crud_background-color-border-color {
  border-color: transparent;
}
.colors-crud_tr-border-color-color {
  color: #dddddd;
}
.colors-crud_tr-border-color-background-color {
  background-color: #dddddd;
}
.colors-crud_tr-border-color-border-color {
  border-color: #dddddd;
}
.colors-crud_tr-color-hover-color {
  color: #000000;
}
.colors-crud_tr-color-hover-background-color {
  background-color: #000000;
}
.colors-crud_tr-color-hover-border-color {
  border-color: #000000;
}
.colors-crud_tr-background-color-hover-color {
  color: #c3dff1;
}
.colors-crud_tr-background-color-hover-background-color {
  background-color: #c3dff1;
}
.colors-crud_tr-background-color-hover-border-color {
  border-color: #c3dff1;
}
.colors-crud_tr-links-color-color {
  color: #337ab7;
}
.colors-crud_tr-links-color-background-color {
  background-color: #337ab7;
}
.colors-crud_tr-links-color-border-color {
  border-color: #337ab7;
}
.colors-crud_tr-links-color-hover-color {
  color: #23527c;
}
.colors-crud_tr-links-color-hover-background-color {
  background-color: #23527c;
}
.colors-crud_tr-links-color-hover-border-color {
  border-color: #23527c;
}
.colors-crud_tr-th-color-color {
  color: #000000;
}
.colors-crud_tr-th-color-background-color {
  background-color: #000000;
}
.colors-crud_tr-th-color-border-color {
  border-color: #000000;
}
.colors-crud_tr-th-background-color-color {
  color: transparent;
}
.colors-crud_tr-th-background-color-background-color {
  background-color: transparent;
}
.colors-crud_tr-th-background-color-border-color {
  border-color: transparent;
}
.colors-crud_filters-border-color-color {
  color: #999999;
}
.colors-crud_filters-border-color-background-color {
  background-color: #999999;
}
.colors-crud_filters-border-color-border-color {
  border-color: #999999;
}
.colors-crud_filters-color-color {
  color: #000000;
}
.colors-crud_filters-color-background-color {
  background-color: #000000;
}
.colors-crud_filters-color-border-color {
  border-color: #000000;
}
.colors-crud_filters-background-color-color {
  color: #efefef;
}
.colors-crud_filters-background-color-background-color {
  background-color: #efefef;
}
.colors-crud_filters-background-color-border-color {
  border-color: #efefef;
}
.colors-panel_color-color {
  color: #337ab7;
}
.colors-panel_color-background-color {
  background-color: #337ab7;
}
.colors-panel_color-border-color {
  border-color: #337ab7;
}
.colors-panel_background-color-color {
  color: #f5f5f5;
}
.colors-panel_background-color-background-color {
  background-color: #f5f5f5;
}
.colors-panel_background-color-border-color {
  border-color: #f5f5f5;
}
.colors-panel_active-color-color {
  color: #333333;
}
.colors-panel_active-color-background-color {
  background-color: #333333;
}
.colors-panel_active-color-border-color {
  border-color: #333333;
}
.colors-panel_active-background-color-color {
  color: #ffffff;
}
.colors-panel_active-background-color-background-color {
  background-color: #ffffff;
}
.colors-panel_active-background-color-border-color {
  border-color: #ffffff;
}
.colors-panel_hover-color-color {
  color: #23527c;
}
.colors-panel_hover-color-background-color {
  background-color: #23527c;
}
.colors-panel_hover-color-border-color {
  border-color: #23527c;
}
.colors-panel_hover-background-color-color {
  color: #eeeeee;
}
.colors-panel_hover-background-color-background-color {
  background-color: #eeeeee;
}
.colors-panel_hover-background-color-border-color {
  border-color: #eeeeee;
}
/** End mixin generador de colores con todas las variables **/
/** Mixin generador de variables de colores con todas las variables **/
:root {
  --colors-general_color: #333333;
  --colors-general_background-color: transparent;
  --colors-general_links-color: #337ab7;
  --colors-general_links-color-hover: #23527c;
  --colors-menu_color: #ffffff;
  --colors-menu_background-color: #222222;
  --colors-menu_border-color: #0a4791;
  --colors-menu_menu-active-color: #ffffff;
  --colors-menu_menu-active-background-color: #333333;
  --colors-menu_submenu-background-color-hover: #0b58a2;
  --colors-menu_submenu-background-color-level-1: #222222;
  --colors-menu_submenu-background-color-level-2: #2f2f2f;
  --colors-menu_submenu-background-color-level-3: #3f3f3f;
  --colors-messages_border-width: 1;
  --colors-messages_success-color: #3c763d;
  --colors-messages_success-background-color: #dff0d8;
  --colors-messages_success-border-color: #d6e9c6;
  --colors-messages_info-color: #31708f;
  --colors-messages_info-background-color: #d9edf7;
  --colors-messages_info-border-color: #bce8f1;
  --colors-messages_warning-color: #8a6d3b;
  --colors-messages_warning-background-color: #fcf8e3;
  --colors-messages_warning-border-color: #faebcc;
  --colors-messages_danger-color: #a94442;
  --colors-messages_danger-background-color: #f2dede;
  --colors-messages_danger-border-color: #ebccd1;
  --colors-crud_color: #000000;
  --colors-crud_background-color: transparent;
  --colors-crud_tr-border-color: #dddddd;
  --colors-crud_tr-color-hover: #000000;
  --colors-crud_tr-background-color-hover: #c3dff1;
  --colors-crud_tr-links-color: #337ab7;
  --colors-crud_tr-links-color-hover: #23527c;
  --colors-crud_tr-th-color: #000000;
  --colors-crud_tr-th-background-color: transparent;
  --colors-crud_filters-border-color: #999999;
  --colors-crud_filters-color: #000000;
  --colors-crud_filters-background-color: #efefef;
  --colors-panel_color: #337ab7;
  --colors-panel_background-color: #f5f5f5;
  --colors-panel_active-color: #333333;
  --colors-panel_active-background-color: #ffffff;
  --colors-panel_hover-color: #23527c;
  --colors-panel_hover-background-color: #eeeeee;
}
/** End mixin generador de variables de colores con todas las variables **/
/** TOAST NOTIFICATION **/
.toast-notification {
  width: 90% !important;
  height: auto;
  position: fixed;
  left: 50%;
  transform: translate(-50%, 0);
  bottom: 10px;
  background-color: #333333EE;
  color: #F0F0F0;
  font-size: 17px;
  padding: 10px;
  text-align: center;
  border-radius: 10px;
  -webkit-box-shadow: 0 0 24px -1px #383838;
  -moz-box-shadow: 0 0 24px -1px #383838;
  box-shadow: 0 0 24px -1px #383838;
  z-index: 100000;
}
/** END TOAST NOTIFICATION **/
/** MENU **/
.head > .div-menu {
  clear: both;
}
.div-menu .navbar {
  background-color: #222222;
  border: 2px solid #0a4791;
  border-radius: 18px;
  z-index: 8;
}
.div-menu .navbar li {
  list-style: none;
  position: relative;
}
.div-menu .navbar .submenu li a {
  min-height: 40px;
}
.div-menu .navbar-inverse .navbar-nav > li > a {
  color: #ffffff;
}
.div-menu .navbar-inverse .navbar-nav > li:hover > a,
.div-menu .navbar-inverse .navbar-nav > li.active > a {
  color: #ffffff;
  background-color: #333333 !important;
  /*background-color: #651c19;*/
  border-radius: 4px;
}
.div-menu .navbar-inverse .navbar-nav li > a img {
  width: 20px;
}
.div-menu .nav ul {
  border-radius: 0 0 5px 5px;
  border-width: 0 1px 1px;
  left: -9999px;
  position: absolute;
  top: -9999px;
  z-index: 10;
}
.div-menu .nav .submenu {
  text-align: left;
  padding: 0;
  width: 220px;
  background: #222222;
}
.div-menu .nav .submenu .has-submenu {
  float: right;
  width: 5px;
  margin-right: 2px;
}
.div-menu .nav .submenu .has-submenu i {
  font-size: 16px;
}
.div-menu .nav .horizontal-item {
  margin-left: 5px;
}
.div-menu .nav .submenu .horizontal-item {
  margin-left: 10px;
}
.div-menu .nav .submenu1 > li:hover ul.submenu2,
.div-menu .nav .submenu2 > li:hover ul.submenu3 {
  display: block;
  top: 0;
  left: 220px;
}
.div-menu .nav ul .submenu2,
.div-menu .nav ul .submenu3 {
  background: #2f2f2f;
  left: 218px !important;
  display: none;
  margin-top: -1px;
}
.div-menu .nav ul .submenu3 {
  background: #3f3f3f;
}
.div-menu .nav .submenu2 .sub-item {
  border: 1px solid #0a4791;
}
.div-menu .nav li:hover ul.submenu1,
.div-menu .nav li.in ul.submenu1 {
  left: 0;
  top: 50px;
  width: 220px;
  transform: scaleY(1);
}
.div-menu .nav .sub-item {
  border: 1px solid #0a4791;
}
.div-menu .nav .sub-item:hover {
  border: 1px solid #0a4791;
  background: #0b58a2;
}
.div-menu .nav .sub-item:first-child:hover .submenu2 .sub-item:first-child {
  border-top: 1px solid #0a4791;
}
.div-menu .nav .sub-item a {
  padding: 5px 10px;
  display: block;
  color: #fff;
}
.div-menu .nav .sub-item a:focus,
.nav a:hover {
  text-decoration: none;
}
.div-menu .navbar-right .menu_100 .submenu {
  left: auto !important;
  right: 0;
}
@media (max-width: 767px) {
  .div-menu .navbar-nav > li > a {
    padding-top: 15px;
    padding-bottom: 15px;
  }
  .div-menu .navbar-left .submenu {
    display: none;
  }
  .div-menu .nav {
    display: inline-block;
    float: left;
    margin: auto;
  }
  .div-menu .navbar-left {
    width: calc(100% - 31px);
    position: absolute;
    top: 47px;
    left: 15px;
  }
  .div-menu .navbar-right {
    float: right;
  }
  .div-menu .nav li {
    display: inline-block;
    background: #222222;
  }
  .div-menu .nav li:not(.in):not(.menu_mobile):not(.menu_100):not(.menu_5):not(.menu_6) {
    display: none;
  }
  .div-menu .nav li.menu_5 .horizontal-item,
  .nav li.menu_6 .horizontal-item {
    display: none;
  }
  .div-menu .navbar-left li,
  .div-menu .navbar-right .menu_100 li {
    width: 100%;
  }
}
@media (min-width: 768px) {
  .div-menu .navbar-right {
    margin-right: 0;
  }
  .div-menu .nav li.menu_mobile {
    display: none;
  }
}
/** END MENU **/
/** CUSTOM ELEMENTS MENU **/
.div-menu .nav i,
.div-menu .nav .menu_100 img {
  margin-top: -9px;
}
.div-menu .nav i:not(.fa-2x) {
  width: 20px;
  font-size: 20px;
}
.div-menu .nav .menu_100 img {
  width: auto !important;
  max-width: 44px;
  max-height: 44px;
  float: left;
  margin-right: 5px;
  position: relative;
  top: -6px;
}
/** END CUSTOM ELEMENTS MENU **/
/** LOGIN **/
.login-box {
  max-width: 350px;
  margin: 60px auto 20px;
  overflow: hidden;
  border-radius: 3px 3px 0 0;
  background-clip: padding-box;
}
.login-box #login-header {
  border: 1px solid #e1e1e1;
  border-bottom: none;
}
.login-box .login-box-inner {
  background: #fff;
  width: auto;
  border-radius: 0 0 3px 3px;
  background-clip: padding-box;
  border: 1px solid #e1e1e1;
  border-bottom-width: 5px;
  padding: 20px 25px 40px 25px;
}
.login-box .login-remember {
  margin-top: 0;
}
.login-box .login-remember label {
  font-weight: bold;
}
.login-box #remember-me-wrapper .col-xs-6:nth-child(2) {
  padding-left: 0;
  padding-right: 0;
}
.login-box .login-forget-link {
  font-size: 0.875em;
}
.login-box .submit {
  display: table;
  margin: 20px auto;
}
.login-box .submit input {
  font-size: 1.125em;
  font-weight: 600;
  text-transform: uppercase;
  margin-top: 8px;
  padding: 3px 12px;
  width: 250px;
}
/** END LOGIN **/
/* BREADCRUMB */
.breadcrumb-container .breadcrumb {
  background: none;
  margin-bottom: 10px;
}
.breadcrumb-container .breadcrumb > li:first-child {
  margin-left: 0;
}
.breadcrumb-container .breadcrumb > li {
  text-transform: uppercase;
  color: #262626;
  margin-left: 8px;
}
.breadcrumb-container .breadcrumb > li a {
  color: #262626;
}
.breadcrumb-container .breadcrumb > .active {
  font-weight: 600;
  text-transform: none;
  color: #262626;
}
.breadcrumb-container .breadcrumb > li + li:before {
  color: #262626;
  font-family: 'Font Awesome 5 Free';
  font-weight: 600;
  content: "\f105";
  padding: 0 4px;
}
.breadcrumb-container .breadcrumb > li a,
.breadcrumb-container .breadcrumb > li span {
  padding-left: 8px;
}
/** CRUD **/
.header {
  margin-left: 10px;
  margin-right: 10px;
  clear: both;
}
.header #title-div {
  width: 100%;
  float: left;
}
/* //todo not working
.header #title-div when (@identity_hide_title_because_breadcrumb_is_shown) {
  display: none;
}

.crud > .header > #title-div > h3 > span when (@identity_hide_title_because_breadcrumb_is_shown) {
  display: none;
}

.header .title-div when (@identity_hide_title_because_breadcrumb_is_shown) {
  display: none;
}*/
.crud {
  background-color: transparent;
  color: #000000;
}
.crud .new-model {
  display: inline-block;
  margin-left: 50px;
}
.crud .new-model a > i {
  margin-right: 5px;
}
.crud .back-div {
  width: 20%;
  float: left;
}
/** DEPRECATED .crud #new-model **/
.crud #new-model {
  font-size: 14px;
  width: 20%;
  float: right;
}
.crud #new-model .pager {
  margin: 0;
}
.crud #new-model .pager a {
  padding: 7px 14px;
}
/** END deprecated**/
.crud .search-filters,
.crud .search-content {
  margin: 0 5px 0 5px;
  padding-bottom: 10px;
}
.crud .search-filters .filters,
.crud .search-filters .filters-shower {
  border: 1px solid #999999;
  border-radius: 10px;
  width: calc(100% - 30px);
  margin-left: 15px;
  background: #efefef;
  color: #000000;
}
.crud .search-filters .filters-shower {
  padding-top: 5px;
  padding-bottom: 5px;
  cursor: pointer;
}
.crud .search-filters .filters-shower .filters-title {
  margin: 6px 0;
  font-size: 16px;
}
.crud .search-filters .filters-shower .filters-shower-link,
.crud .search-filters .filters-hidder .filters-hidder-link {
  margin-top: 0;
  margin-bottom: 0;
}
.crud .search-filters .filters .filters-hidder {
  margin-top: 5px;
  padding-right: 0;
}
.crud .search-filters .row > div > .bootstrap-select .btn,
.crud .search-filters .row > div > input {
  margin: 10px 0;
}
.crud .search-filters div .row > div .bs-searchbox input {
  margin: 0;
}
.crud .filter-button,
.crud #modal_crud_content button,
.crud #modal_crud .modal-footer input,
.crud #modal_crud .modal-footer button,
.crud #modal_crud .modalSaveAjax,
.crud #modal_crud .modalCancelAjax {
  width: 200px;
  height: 34px;
}
.crud div:not(.bs-searchbox) > input:not([type=checkbox]):not(.filter-button),
.crud #modal_crud_content .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn),
.crud #modal_crud_content .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) .btn {
  width: 100%;
  height: 34px;
}
.crud .filter-buttons {
  width: 100%;
  text-align: right;
}
.crud .filter-buttons .btn {
  margin: 10px 0;
}
.crud .filter-buttons *:not(div) {
  margin-right: 5px;
}
.crud .table-bordered,
.crud .table-bordered > thead > tr > td,
.crud .table-bordered > thead > tr > th,
.crud .table-bordered > tbody > tr > td,
.crud .table-bordered > tbody > tr > th,
.crud .table-bordered > tfoot > tr > td,
.crud .table-bordered > tfoot > tr > th,
.crud .search-content .search-sub-content .table-row .table-column {
  border: 1px solid #dddddd;
}
.crud .search-content .search-sub-content .table-row:not(:first-of-type) .table-column {
  border-top: none;
}
.crud .search-content .search-sub-content .table-row .table-column:not(:first-of-type) {
  border-left: none;
}
.crud .table-bordered,
.crud .table-bordered > thead > tr > td,
.crud .table-bordered > thead > tr > th,
.crud .table-bordered > tbody > tr > td,
.crud .table-bordered > tbody > tr > th,
.crud .table-bordered > tfoot > tr > td,
.crud .table-bordered > tfoot > tr > th,
.crud .search-content .search-sub-content .table-row .table-column {
  padding: 8px;
}
.crud .search-content .search-sub-content {
  padding: 0;
}
.crud .table-bordered > thead > tr > th,
.crud .search-content .search-sub-content .headers.table-row .table-column {
  color: #000000;
  background-color: transparent;
  font-weight: bold;
}
.crud .crud-table-tr > td > a,
.crud .search-content .search-sub-content .data.table-row.crud-table-tr .table-column > a {
  color: #337ab7;
}
.crud .crud-table-tr:hover > td,
.crud .crud-table-tr.active > td,
.crud .search-content .search-sub-content .data.table-row.crud-table-tr:hover .table-column,
.crud .search-content .search-sub-content .data.table-row.crud-table-tr.active .table-column {
  background-color: #c3dff1;
  color: #000000;
}
.crud .crud-table-tr:hover > td input,
.crud .search-content .search-sub-content .data.table-row.crud-table-tr:hover > .table-column input,
.crud .search-content .search-sub-content .data.table-row.crud-table-tr.active > .table-column input.crud-table-input {
  color: #000000;
}
.crud .crud-table-tr:hover > td > a,
.crud .search-content .search-sub-content .data.table-row.crud-table-tr:hover .table-column a.btn-link,
.crud .search-content .search-sub-content .data.table-row.crud-table-tr.active .table-column a.btn-link {
  color: #23527c;
}
.crud .crud-table-tr > td > a img,
.crud .search-content .search-sub-content .data.table-row.crud-table-tr .table-column > a.btn-link img {
  width: 30px;
  height: 30px;
}
@media only screen and (max-width: 800px) {
  .crud .no-more-tables .table-bordered,
  .crud .no-more-tables .table-bordered > tbody > tr > td,
  .crud .no-more-tables .table-bordered > tbody > tr > th,
  .crud .no-more-tables .table-bordered > tfoot > tr > td,
  .crud .no-more-tables .table-bordered > tfoot > tr > th,
  .crud .table-bordered > thead > tr > td,
  .crud .no-more-tables .table-bordered > thead > tr > th {
    border: none;
  }
  .crud .table-bordered > tbody > tr > td,
  .table-bordered > tbody > tr > th,
  .crud .table-bordered > tfoot > tr > td,
  .table-bordered > tfoot > tr > th,
  .crud .table-bordered > thead > tr > td,
  .table-bordered > thead > tr > th {
    border: 1px solid #dddddd;
  }
  .crud .table-bordered > tbody > tr > td + td,
  .table-bordered > tbody > tr > th + th,
  .crud .table-bordered > tfoot > tr > td + td,
  .table-bordered > tfoot > tr > th + th,
  .crud .table-bordered > thead > tr > td + td,
  .table-bordered > thead > tr > th + th {
    border-top: none;
  }
}
.crud a.remove {
  cursor: pointer;
}
.crud p.pagination {
  padding: 6px;
}
.crud .pagination > li > a.page-link,
.crud .pagination > li > span {
  color: #337ab7;
}
.crud .pagination > li:hover > a.page-link,
.crud .pagination > li:hover > span {
  color: #23527c;
}
.modal .modal-header .close {
  padding: 5px 10px;
}
.modal .modal-content .search-content a {
  display: block;
}
#modal_confirm_remove .modal-body .loading,
#modal_confirm .modal-body .loading,
.modal-confirm .modal-body .loading {
  margin: 20px 0;
  text-align: center;
  display: none;
}
#modal_confirm_remove .modal-footer .wait,
#modal_confirm .modal-footer .wait,
.modal-confirm .modal-footer .wait {
  display: none;
}
#modal_confirm_remove,
#modal_confirm,
.modal-confirm {
  z-index: 1051;
}
.modal-backdrop + .modal-backdrop {
  z-index: 1050;
}
.crud-edit {
  background-color: transparent;
  color: #000000;
  margin-left: 10px;
  margin-right: 10px;
  padding: 10px;
}
/* //todo not working
.crud-edit > .page-header when (@identity_hide_title_because_breadcrumb_is_shown) {
  margin: 0;
  padding: 0;
}

.crud-edit > .page-header > h3 when (@identity_hide_title_because_breadcrumb_is_shown) {
  display: none;
}*/
.crud-edit .content-list-inner {
  display: table;
  width: 100%;
}
.crud-edit .content-list-inner .control-group {
  display: table-row;
}
.crud-edit .content-list-inner .control-group .btn:not(.toggle-on):not(.toggle-off) {
  margin-bottom: 5px;
}
.crud-edit .content-list-inner .div-label {
  display: flex;
  text-align: left;
  align-items: start;
  height: 48px;
}
.crud-edit .content-list-inner .div-label,
.crud-edit .content-list-inner .div-control-edit {
  height: auto;
}
.crud-edit .content-list-inner .div-control-edit .bootstrap-select {
  margin-bottom: 5px;
}
.crud-edit .content-list-inner div:not(.bs-searchbox) > input:not([type=checkbox]):not([type=button]):not(.btn-file):not(.form-check-input),
.crud-edit .content-list-inner .picture-box,
.crud-input {
  width: 100%;
}
.crud-edit .content-list-inner div:not(.bs-searchbox) > input:not([type=checkbox]):not([type=button]):not(.form-check-input),
.crud-input {
  display: block;
  height: 34px;
  padding: 6px 12px;
  font-size: 14px;
  margin-bottom: 5px;
}
.crud-edit .content-list-inner div:not(.bs-searchbox) > input:not([type=checkbox]):not([type=button]):not(.btn),
.crud-input {
  color: #555;
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  -webkit-transition: border-color ease-in-out 0.15s, -webkit-box-shadow ease-in-out 0.15s;
  -o-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
.crud-edit .content-list-inner div:not(.bs-searchbox) > input[type=text]:disabled,
.crud-edit .content-list-inner div:not(.bs-searchbox) > input[type=number]:disabled,
.crud-edit .content-list-inner div:not(.bs-searchbox) > input[type=date]:disabled,
.crud-edit .content-list-inner div:not(.bs-searchbox) > input[type=text]:read-only,
.crud-edit .content-list-inner div:not(.bs-searchbox) > input[type=number]:read-only,
.crud-edit .content-list-inner div:not(.bs-searchbox) > input[type=date]:read-only {
  background: #dddddd !important;
}
.crud-edit .content-list-inner div:not(.bs-searchbox) > input[type=text]:-moz-read-only,
.crud-edit .content-list-inner div:not(.bs-searchbox) > input[type=number]:-moz-read-only,
.crud-edit .content-list-inner div:not(.bs-searchbox) > input[type=date]:-moz-read-only {
  background: #dddddd !important;
}
.crud-edit .content-list-inner textarea {
  width: 100%;
  height: 150px;
  margin-bottom: 5px;
  border: 1px solid #ccc;
  border-radius: 4px;
}
.crud-edit .content-list-inner input[type=checkbox] {
  width: 16px;
  height: 16px;
}
.crud-edit .content-list-inner .div-control-edit .picture-box .picture-img .picture-img {
  display: inline-block;
  border: 1px solid #ccc;
  margin-bottom: 10px;
  min-width: 100px;
  min-height: 100px;
  background: url(../../main/img/imgshow-bg.jpg);
}
.crud-edit .content-list-inner .div-control-edit .picture-box .picture-img .picture-img img {
  max-height: 300px;
  max-width: 300px;
}
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-file,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-remove,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-crop,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-rotate-left,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-rotate-right,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-crop-save,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-crop-cancel {
  float: left;
}
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-file,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-remove,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-crop,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-rotate-left,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-rotate-right,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-crop-save {
  margin-right: 5px;
}
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-file {
  width: calc(100% - 200px);
}
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-remove,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-crop,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-rotate-left,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-rotate-right,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-crop-save,
.crud-edit .content-list-inner .div-control-edit .picture-box .btn-crop-cancel {
  height: 34px;
}
.crud #modal_crud_content button.btn-file,
.crud #modal_crud_content button.btn-remove,
.crud #modal_crud_content button.btn-crop,
.crud #modal_crud_content button.btn-rotate-left,
.crud #modal_crud_content button.btn-rotate-right,
.crud #modal_crud_content button.btn-crop-save,
.crud #modal_crud_content button.btn-crop-cancel {
  width: auto;
}
.crud-edit .foot-buttons {
  margin: 20px 45px 0 0;
}
.crud-edit .foot-buttons button,
.crud-edit .foot-buttons input,
.crud-edit .foot-buttons a.cancel-button,
.core-button {
  width: 200px;
}
/** END CRUD **/
/** NO-MORE-TABLES */
@media only screen and (max-width: 800px) {
  .no-more-tables {
    padding: 0;
  }
  .no-more-tables table {
    border: none;
  }
  /* Force table to not be like tables anymore */
  .no-more-tables table,
  .no-more-tables thead,
  .no-more-tables tbody,
  .no-more-tables th,
  .no-more-tables td,
  .no-more-tables tr {
    display: block;
  }
  /* Hide table headers (but not display: none;, for accessibility) */
  .no-more-tables thead tr {
    position: absolute;
    top: -9999px;
    left: -9999px;
  }
  .no-more-tables tr {
    /*border: 1px solid #ccc;*/
    margin-bottom: 10px;
  }
  .no-more-tables td {
    /* Behave  like a "row" */
    border: none;
    border-bottom: 1px solid #eee;
    position: relative;
    padding-left: 50%;
    white-space: normal;
    text-align: right;
  }
  .no-more-tables td:before {
    /* Now like a table header */
    position: absolute;
    /* Top/left values mimic padding */
    top: 6px;
    left: 6px;
    width: 60%;
    padding-right: 10px;
    text-align: left;
    font-weight: bold;
  }
  /*
  Label the data
  */
  .no-more-tables td:before {
    content: attr(data-title);
  }
  .no-more-tables td:after {
    content: " ";
    white-space: pre;
  }
}
/** END NO-MORE-TABLES */
/** BOOTSTRAP TOGGLE **/
.checkbox label .toggle,
.checkbox-inline .toggle {
  margin-left: -20px;
  margin-right: 5px;
}
.toggle {
  position: relative;
  overflow: hidden;
}
.toggle[disabled=disabled] label,
.toggle[disabled=disabled] span {
  cursor: not-allowed !important;
}
.toggle input[type="checkbox"] {
  display: none;
}
.toggle-group {
  position: absolute;
  width: 200%;
  top: 0;
  bottom: 0;
  left: 0;
  transition: left 0.35s;
  -webkit-transition: left 0.35s;
  -moz-user-select: none;
  -webkit-user-select: none;
}
.toggle.off .toggle-group {
  left: -100%;
}
.toggle-on {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 50%;
  margin: 0;
  border: 0;
  border-radius: 0;
}
.toggle-off {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 50%;
  right: 0;
  margin: 0;
  border: 0;
  border-radius: 0;
}
.toggle-handle {
  position: relative;
  margin: 0 auto;
  padding-top: 0;
  padding-bottom: 0;
  height: 100%;
  width: 0;
  border-width: 0 1px;
}
.toggle.btn {
  min-width: 59px;
  min-height: 34px;
  margin-bottom: 5px;
}
.toggle-on.btn {
  padding-right: 24px;
}
.toggle-off.btn {
  padding-left: 24px;
}
.toggle.btn-lg {
  min-width: 79px;
  min-height: 45px;
}
.toggle-on.btn-lg {
  padding-right: 31px;
}
.toggle-off.btn-lg {
  padding-left: 31px;
}
.toggle-handle.btn-lg {
  width: 40px;
}
.toggle.btn-sm {
  min-width: 50px;
  min-height: 30px;
}
.toggle-on.btn-sm {
  padding-right: 20px;
}
.toggle-off.btn-sm {
  padding-left: 20px;
}
.toggle.btn-xs {
  min-width: 35px;
  min-height: 22px;
}
.toggle-on.btn-xs {
  padding-right: 12px;
}
.toggle-off.btn-xs {
  padding-left: 12px;
}
/** END BOOTSTRAP TOGGLE **/
/** PANEL **/
.panel {
  clear: both;
}
.panel-margin {
  margin-left: 10px;
  margin-right: 10px;
}
.panel .accordion .panel-heading .collapse-expand .glyphbutton {
  padding: 4px;
  margin-right: 5px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
}
.panel .panel-nav-icons .panel-body > a {
  display: inline-block;
  border: 1px solid transparent;
  padding: 10px;
  width: 250px;
}
.panel .panel-nav-icons .panel-body > a:hover {
  text-decoration: none;
  border: 1px solid #ccc;
}
.panel .panel-nav-icons .panel-body > a span span {
  display: block;
  height: auto;
  overflow: hidden;
  text-overflow: ellipsis;
}
.panel .panel-nav-icons .panel-body > a span span:first-letter {
  text-transform: uppercase;
}
.panel .panel-nav-icons .panel-body > a span img {
  width: 56px;
}
.panel.with-nav-tabs .nav-tabs {
  border-bottom: none;
}
.panel.with-nav-tabs .nav-justified {
  margin-bottom: -1px;
}
.with-nav-tabs.panel .nav-tabs > li > a,
.with-nav-tabs.panel .nav-tabs > li > a:hover,
.with-nav-tabs.panel .nav-tabs > li > a:focus {
  color: #333333;
}
.with-nav-tabs.panel .nav-tabs > .open > a,
.with-nav-tabs.panel .nav-tabs > .open > a:hover,
.with-nav-tabs.panel .nav-tabs > .open > a:focus,
.with-nav-tabs.panel .nav-tabs > li > a:hover,
.with-nav-tabs.panel .nav-tabs > li > a:focus,
.cscore-theme .tab .tab-link,
.cscore-theme .tab .tab-link:hover,
.cscore-theme .tab .tab-link-focus {
  color: #333333;
  background-color: #f5f5f5;
  border-color: transparent;
}
.cscore-theme .tab .tab-link {
  margin-right: 2px;
  line-height: 1.42857143;
  border: 1px solid transparent;
  border-radius: 4px 4px 0 0;
  position: relative;
  display: block;
  padding: 10px 15px;
}
.with-nav-tabs.panel .nav-tabs > li.active > a,
.with-nav-tabs.panel .nav-tabs > li.active > a:hover,
.with-nav-tabs.panel .nav-tabs > li.active > a:focus,
.cscore-theme .tab.active .tab-link,
.cscore-theme .tab.active .tab-link:hover,
.cscore-theme .tab.active .tab-link-focus {
  color: #333333;
  background-color: #fff;
  border-color: #ebccd1;
  border-bottom-color: transparent;
}
.with-nav-tabs.panel .nav-tabs li.tab > a > img {
  width: 17px;
  max-height: 17px;
}
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu {
  background-color: #f2dede;
  /* bg color */
  border-color: #ebccd1;
  /* border color */
}
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > li {
  background: #ffffff18;
}
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > li > a {
  color: #333333;
  /* normal text color */
}
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > li > a:hover,
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > li > a:focus {
  background-color: #ebccd1;
  /* hover bg color */
}
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > .active > a,
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > .active > a:hover,
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > .active > a:focus {
  color: #fff;
  /* active text color */
  background-color: #333333;
  /* active bg color */
}
.panel > .panel-heading {
  background: #f5f5f5;
  padding: 5px 5px 0 5px;
}
.panel .accordion .panel-heading a {
  border-radius: 4px 4px 0 0;
  padding: 10px;
  display: inline-block;
  background: #ffffff;
  color: #333333;
}
.panel .nav-tabs > li.dropdown.active > a,
.nav-tabs > li.dropdown.active > a:hover,
.panel .nav-tabs .tab-pager > li.dropdown.active > a,
.nav-tabs .tab-pager > li.dropdown.active > a:hover {
  cursor: pointer;
}
.accordion .panel-heading + .panel-collapse > .list-group,
.accordion .panel-heading + .panel-collapse > .panel-body {
  border: none;
}
.with-nav-tabs.panel .nav-tabs > li > a,
.with-nav-tabs.panel .nav-tabs > li > a:hover,
.with-nav-tabs.panel .nav-tabs > li > a:focus,
.cscore-theme .tab .tab-link,
.cscore-theme .tab .tab-link:hover,
.cscore-theme .tab .tab-link-focus,
.with-nav-tabs.panel .tab-pager .nav-tabs > li > a,
.with-nav-tabs.panel .tab-pager .nav-tabs > li > a:hover,
.with-nav-tabs.panel .tab-pager .nav-tabs > li > a:focus,
.cscore-theme .tab .tab-pager .tab-link,
.cscore-theme .tab .tab-pager .tab-link:hover,
.cscore-theme .tab .tab-pager .tab-link-focus {
  color: #337ab7;
}
.with-nav-tabs.panel .nav-tabs > .open > a,
.with-nav-tabs.panel .nav-tabs > .open > a:hover,
.with-nav-tabs.panel .nav-tabs > .open > a:focus,
.with-nav-tabs.panel .nav-tabs > li > a:hover,
.with-nav-tabs.panel .nav-tabs > li > a:focus,
.with-nav-tabs.panel .nav-tabs .tab-pager > .open > a,
.with-nav-tabs.panel .nav-tabs .tab-pager > .open > a:hover,
.with-nav-tabs.panel .nav-tabs .tab-pager > .open > a:focus,
.with-nav-tabs.panel .nav-tabs .tab-pager > li > a:hover,
.with-nav-tabs.panel .nav-tabs .tab-pager > li > a:focus {
  color: #23527c;
  background-color: #eeeeee;
  border-bottom: 1px solid #eeeeee;
  margin-bottom: 0;
}
.with-nav-tabs.panel .nav-tabs > li.active > a,
.with-nav-tabs.panel .nav-tabs > li.active > a:hover,
.with-nav-tabs.panel .nav-tabs > li.active > a:focus,
.cscore-theme .tab.active .tab-link,
.cscore-theme .tab.active .tab-link:hover,
.cscore-theme .tab.active .tab-link-focus,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.active > a,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.active > a:hover,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.active > a:focus {
  color: #333333;
  background: #ffffff;
  border-bottom: 1px solid #ffffff;
  margin-bottom: 0;
  text-decoration: none;
}
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.dropdown .dropdown-menu {
  background: #f5f5f5;
  padding: 0;
  border: none;
}
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > li > a,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.dropdown .dropdown-menu > li > a {
  color: #337ab7;
  padding: 5px 20px 5px 20px;
}
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > li > a:hover,
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > li > a:focus,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.dropdown .dropdown-menu > li > a:hover,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.dropdown .dropdown-menu > li > a:focus {
  color: #23527c;
  background-color: #eeeeee;
}
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > .active > a,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.dropdown .dropdown-menu > .active > a {
  cursor: default;
}
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > .active > a,
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > .active > a:hover,
.with-nav-tabs.panel .nav-tabs > li.dropdown .dropdown-menu > .active > a:focus,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.dropdown .dropdown-menu > .active > a,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.dropdown .dropdown-menu > .active > a:hover,
.with-nav-tabs.panel .nav-tabs .tab-pager > li.dropdown .dropdown-menu > .active > a:focus {
  background-color: #ffffff;
  color: #333333;
}
@media (max-width: 767px) {
  .panel {
    padding: 0;
  }
  .panel .panel-nav-icons .panel-body > a {
    width: 160px;
  }
  .panel .panel-nav-icons .panel-body > a span img {
    width: 40px;
  }
  .panel .panel-nav-icons .panel-body > a span i {
    font-size: 3em;
  }
}
/** END PANEL **/
/** COLOR PICKER **/
.colorpicker-2x .colorpicker-saturation {
  width: 200px;
  height: 200px;
}
.colorpicker-2x .colorpicker-hue,
.colorpicker-2x .colorpicker-alpha {
  width: 30px;
  height: 200px;
}
.colorpicker-2x .colorpicker-color,
.colorpicker-2x .colorpicker-color div {
  height: 30px;
}
.colorpicker-2x .colorpicker-selectors i {
  width: 30px;
  height: 30px;
}
/** END COLOR PICKER **/
/** MESSAGES **/
.content-wrapper > .messages {
  clear: both;
  margin: 20px 0;
}
.alert {
  display: table;
  width: 100%;
}
.alert > i,
.alert > i.message-type,
.alert > span,
.alert > span.message,
.alert > button.close {
  display: table-cell;
  vertical-align: middle;
  width: 100%;
}
.alert > i,
.alert > i.message-type {
  padding-right: 20px;
  width: 48px;
}
.alert > span,
.alert > span.message {
  word-break: break-all;
}
.alert > button.close {
  padding-left: 20px;
  width: 48px;
}
.alert > button.close:focus {
  outline: none;
}
.alert-success,
.alert-success a {
  color: #3c763d;
  background-color: #dff0d8;
  border: 1px solid #d6e9c6;
}
.alert-info,
.alert-info a {
  color: #31708f;
  background-color: #d9edf7;
  border: 1px solid #bce8f1;
}
.alert-warning,
.alert-warning a {
  color: #8a6d3b;
  background-color: #fcf8e3;
  border: 1px solid #faebcc;
}
.alert-danger,
.alert-danger a {
  color: #a94442;
  background-color: #f2dede;
  border: 1px solid #ebccd1;
}
.alert-success a,
.alert-info a,
.alert-warning a,
.alert-danger a {
  border: none;
}
/** END MESSAGGES **/
